Summary:        Library for manipulating ID3v1 and ID3v2 tags
Name:           id3lib
Version:        3.8.3
Release:        36%{?dist}
License:        LGPLv2+
Group:          System Environment/Libraries
URL:            http://id3lib.sourceforge.net/
Source0:        http://downloads.sourceforge.net/id3lib/%{name}-%{version}.tar.gz
Source1:        id3lib-no_date_footer.hml
Patch0:         id3lib-dox.patch
Patch1:         id3lib-3.8.3-autoreconf.patch
Patch2:         id3lib-3.8.3-io_helpers-163101.patch
Patch3:         id3lib-3.8.3-mkstemp.patch
Patch4:         id3lib-3.8.3-includes.patch
Patch5:         http://launchpadlibrarian.net/33114077/id3lib-vbr_buffer_overflow.diff
Patch6:         http://anonscm.debian.org/viewvc/collab-maint/deb-maint/id3lib/trunk/debian/patches/20-create-manpages.patch
Patch7:         http://anonscm.debian.org/viewvc/collab-maint/deb-maint/id3lib/trunk/debian/patches/60-fix_make_check.patch
Patch8:         http://anonscm.debian.org/viewvc/collab-maint/deb-maint/id3lib/trunk/debian/patches/60-id3lib-missing-nullpointer-check.patch
Patch9:         id3lib-3.8.3-fix-utf16-stringlists.patch
BuildRequires:  autoconf automake libtool
BuildRequires:  zlib-devel doxygen

%description
This package provides a software library for manipulating ID3v1 and
ID3v2 tags. It provides a convenient interface for software developers
to include standards-compliant ID3v1/2 tagging capabilities in their
applications. Features include identification of valid tags, automatic
size conversions, (re)synchronisation of tag frames, seamless tag
(de)compression, and optional padding facilities. Additionally, it can
tell mp3 header info, like bitrate etc.


%package devel
Summary:        Development tools for the id3lib library
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       zlib-devel

%description devel
This package provides files needed to develop with the id3lib library.


%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .autoreconf
%patch2 -p1 -b .io_helpers-163101
%patch3 -p1 -b .mkstemp
%patch4 -p1 -b .gcc43
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
for i in doc/id3v2.3.0.txt doc/id3v2.3.0.html ChangeLog THANKS; do
  iconv --from-code=ISO-8859-1 --to-code=UTF8 $i --output=tmp
  sed -i -e 's/\r//' tmp
  touch --reference=$i tmp
  mv tmp $i
done
sed -i -e 's|@DOX_DIR_HTML@|%{_docdir}/%{name}-devel/api|' doc/index.html.in
sed -i -e "s,HTML_FOOTER.*$,HTML_FOOTER = id3lib-no_date_footer.hml,g" doc/Doxyfile.in
cp %{SOURCE1} doc


%build
autoreconf --force --install
%configure --disable-dependency-tracking --disable-static
make %{?_smp_mflags} libid3_la_LIBADD=-lz


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
make docs
mkdir -p __doc/doc ; cp -p doc/*.{gif,jpg,png,html,txt,ico,css}  __doc/doc
rm -f $RPM_BUILD_ROOT%{_libdir}/libid3.la
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -pm 644 doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1


%check
make check


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS ChangeLog HISTORY NEWS README THANKS TODO __doc/doc/
%license COPYING
%{_libdir}/libid3-3.8.so.*
%{_bindir}/id3convert
%{_bindir}/id3cp
%{_bindir}/id3info
%{_bindir}/id3tag
%{_mandir}/man1/id3convert.1*
%{_mandir}/man1/id3cp.1*
%{_mandir}/man1/id3info.1*
%{_mandir}/man1/id3tag.1*

%files devel
%doc doc/id3lib.css doc/api/
%{_includedir}/id3.h
%{_includedir}/id3/
%{_libdir}/libid3.so


%changelog
* Wed Apr 29 2015 David King <amigadave@amigadave.com> - 3.8.3-36
- Tighten subpackage dependencies
- Use license macro for COPYING
- Preserve timestamps during install
- Update man pages glob in files section
- Drop unnecessary chmod

* Fri Nov 14 2014 David King <amigadave@amigadave.com> - 3.8.3-35
- Fix typos in man page patch
- Add UTF-16 string lists patch, adapted from Debian
- Add NULL pointer check patch from Debian
- Enable check, using make check

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 06 2014 David King <amigadave@amigadave.com> - 3.8.3-32
- Use autoreconf patch from mingw-id3lib package

* Wed Aug 07 2013 Adrian Reber <adrian@lisas.de> - 3.8.3-31
- Fixed "id3lib possibly affected by F-20 unversioned docdir change" (#993851)
- Remove unneeded parts (clean, defattr, buildroot) 
- Added man pages from Debian
- Fixed bogus dates

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-27
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 12 2009 Adrian Reber <adrian@lisas.de> - 3.8.3-24
- Fix "Stack smashing with vbr mp3 files" (bz #533706)
  also see https://bugs.launchpad.net/ubuntu/+source/id3lib3.8.3/+bug/444466

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 29 2009 Adrian Reber <adrian@lisas.de> - 3.8.3-22
- Fix "id3lib-devel multilib conflict" (bz #507700)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.3-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.8.3-20
- Autorebuild for GCC 4.3

* Tue Dec  4 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 3.8.3-19
- Fix building of id3lib and programs using it with gcc34
- Drop prebuild doxygen docs, now that doxygen is fixed to not cause multilib
  conflicts
- Convert some docs to UTF-8 

* Sun Oct 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 3.8.3-18
- Fix multilib api documentation conflict (bz 341551)

* Mon Aug 20 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 3.8.3-17
- Use mkstemp instead of insecure tempfile creation (bz 253553)

* Mon Aug 13 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 3.8.3-16
- Update License tag for new Licensing Guidelines compliance

* Wed Nov 22 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 3.8.3-15
- Link libid3-3.8.so.3 with -lz (bug #216783)

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 3.8.3-14
- Taking over as maintainer since Anvil has other priorities
- FE6 Rebuild

* Sat Feb 18 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.8.3-13
- Don't ship static libs.
- Build with dependency tracking disabled.
- Don't use %%exclude.
- Drop unneeded cruft from docs, move API docs to -devel.
- Clean up some cosmetic rpmlint warnings.

* Sat Jul 16 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 3.8.3-12
- Fix UTF-16 writing bug (bug #163101, upstream #1016290).

* Thu Jun 30 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 3.8.3-11
- Make libtool link against libstdc++ (bug #162127).

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 3.8.3-10
- rebuilt

* Wed Oct 29 2003 Ville Skytta <ville.skytta at iki.fi> - 0:3.8.3-0.fdr.9
- Rebuild.

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.8
- Removed comment after scriptlets

* Mon May  5 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.7
- libid3-3.8.so.3.0.0 -> libid3-3.8.so.*
- {buildroot} -> RPM_BUILD_ROOT

* Sun Apr 27 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.6
- Added post/postun scriptlets

* Thu Apr 24 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.5
- Added zlib-devel require tag for -devel package

* Fri Apr  4 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.4
- Added URL in Source:

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.3
- added ".so" file to the devel package

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:3.8.3-0.fdr.2
- Added missing epoch requirement

* Wed Apr  2 2003 Dams <anvil[AT]livna.org>
- Initial build.
